## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate desed

Name:           rust-desed
Version:        1.2.1
Release:        %autorelease
Summary:        Sed script debugger

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/desed
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          desed-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
#  * Downgrade inotify dependency to 0.9
Patch:          desed-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Sed script debugger. Debug and demystify your sed scripts with TUI
debugger.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

# Apache-2.0 OR MIT
# GPL-3.0-or-later
# ISC
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-or-later AND ISC AND MIT AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

Requires:       sed >= 4.6

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/desed

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 23 2023 Aleksei Bavshin <alebastr@fedoraproject.org> 1.2.1-1
- Update to 1.2.1 (rhbz#2134932)

* Sun May 21 2023 Fabio Valentini <decathorpe@gmail.com> 1.2.0-12
- Regenerate with rust2rpm v24 and update license tag

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-10
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.0-7
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 11 20:57:59 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.2.0-3
- Fixup license tag

* Mon Dec 28 13:29:25 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.2.0-2
- Rebuild

* Mon Oct 05 2020 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.2.0-1
- Update to latest release

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 16 2020 Artur Iwicki <fedora@svgames.pl> - 1.1.4-4
- Put a minimum version requirement on sed

* Fri May 15 12:37:32 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.4-3
- Regenerate with rust2rpm

* Fri May 15 2020 Artur Iwicki <fedora@svgames.pl> - 1.1.4-2
- Add a Requires: on sed
- Fix the license tag (GPLv3 -> GPLv3+)

* Wed May 06 2020 Artur Iwicki <fedora@svgames.pl> - 1.1.4-1
- Initial packaging

